> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List groups



## OpenAPI

````yaml get /v1/groups
openapi: 3.0.0
info:
  title: Settings APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/settings
  - url: https://staging.api.eu.aptlydone.com/settings
  - url: https://api.us.aptlydone.com/settings
  - url: https://api.eu.aptlydone.com/settings
security: []
tags: []
paths:
  /v1/groups:
    get:
      tags:
        - groups
      summary: List groups
      operationId: GroupController_getGroups_v1
      parameters:
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            type: number
            example: 1
            minimum: 1
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 100
            example: 10
            type: number
        - name: tenantId
          required: true
          in: query
          description: Tenant ID
          schema:
            example: 51e9fc27-a398-403d-bf5a-15cd2ee975ae
            type: string
        - name: search
          required: false
          in: query
          description: Search in group name and group ID
          schema:
            example: Engineering
            type: string
        - name: tenantGroupTypeIds
          required: false
          in: query
          description: Tenant Group Type IDs (comma-separated)
          schema:
            example: 07931d79-8658-4833-bca0-43dbcc79cbfb
            type: string
        - name: parentGroupId
          required: false
          in: query
          description: Parent Group ID to filter child groups
          schema:
            example: aa4f845a-6695-4d3d-91e0-6e2e645f76bf
            type: string
        - name: sourceFilter
          required: false
          in: query
          description: Comma-separated list of source filters
          schema:
            example: SCIM,MANUAL,ALL
            type: string
            items:
              type: string
              enum:
                - ALL
                - DIRECTORY_SYNC
                - MANUALLY_ADDED
        - name: select
          required: false
          in: query
          description: Comma separated specific Group fields needed in response
          schema:
            example: ''
            type: string
        - name: status
          required: false
          in: query
          description: Comma-separated list of statuses to filter by
          schema:
            example: ACTIVE,INACTIVE
            type: string
        - name: createdDateStart
          required: false
          in: query
          description: Creation date range - start date
          schema:
            format: date-time
            type: string
        - name: createdDateEnd
          required: false
          in: query
          description: Creation date range - end date
          schema:
            format: date-time
            type: string
        - name: updatedDateStart
          required: false
          in: query
          description: Last updated date range - start date
          schema:
            format: date-time
            type: string
        - name: updatedDateEnd
          required: false
          in: query
          description: Last updated date range - end date
          schema:
            format: date-time
            type: string
        - name: sortBy
          required: false
          in: query
          description: Criteria for sorting Groups
          schema:
            example: groupName
            type: string
            enum:
              - groupId
              - groupName
              - displayName
              - status
              - createdOn
              - updatedOn
              - isSynced
              - tenantGroupType
        - name: sortOrder
          required: false
          in: query
          description: Order for sorting Groups
          schema:
            example: asc
            type: string
            enum:
              - asc
              - desc
      responses:
        '200':
          description: Groups list retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedGroupListResponseItemDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    PaginatedGroupListResponseItemDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 200
        timestamp:
          type: string
          example: '2026-01-08T06:33:21.945Z'
        message:
          type: string
          example: Success
        data:
          type: object
          required:
            - page
            - limit
            - total
            - data
          properties:
            page:
              type: number
              example: 1
              minimum: 1
            limit:
              type: number
              example: 10
              minimum: 1
            total:
              type: number
              example: 100
              minimum: 0
            data:
              type: array
              items:
                $ref: '#/components/schemas/GroupListResponseItemDto'
      required:
        - statusCode
        - timestamp
        - message
    GroupListResponseItemDto:
      type: object
      properties:
        id:
          type: string
          example: 3de3ba12-fe6e-4242-b2c2-57aa17d2b959
          description: Group ID
        tenantId:
          type: string
          example: 9409925f-e386-428d-b82d-bc96fc7d785e
          description: Tenant ID
        baseCurrency:
          type: string
          example: ''
          description: Base Currency
        groupId:
          type: string
          example: drDwrQ
          description: Group ID String
        groupName:
          type: string
          example: Engineering Team
          description: Group Name
        displayName:
          type: string
          example: Engineering Department
          description: Display Name
        legalName:
          type: string
          example: Engineering Department LLC
          description: Legal Name
        externalId:
          type: string
          example: EXT-GROUP-12345
          description: External ID
        instanceId:
          type: string
          example: 02198055-706d-417d-9573-d376ced5c6f6
          description: Instance ID
        address:
          description: Group Address
          allOf:
            - $ref: '#/components/schemas/GroupAddressDto'
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
          description: Status
        createdOn:
          format: date-time
          type: string
          example: '2023-01-01T12:00:00Z'
          description: Created On
        updatedOn:
          format: date-time
          type: string
          example: '2023-01-15T12:00:00Z'
          description: Updated On
        isSynced:
          type: boolean
          example: false
          description: Is Synced
        parentGroups:
          description: Parent Groups
          type: array
          items:
            $ref: '#/components/schemas/ParentGroupItemDto'
        childGroups:
          description: Child Groups
          type: array
          items:
            $ref: '#/components/schemas/ChildGroupItemDto'
        tenantGroupTypeId:
          type: string
          example: c123da00-0182-4a43-8762-cfd950af6e45
          description: Group Type ID
        tenantGroupTypeName:
          type: string
          example: Department
          description: Group Type Name
        decisions:
          type: number
          example: 0
          description: No. of decisions for the Group
        delegations:
          type: number
          example: 0
          description: No. of delegations for the Group
      required:
        - id
        - tenantId
        - groupId
        - groupName
        - status
        - createdOn
        - updatedOn
        - isSynced
        - parentGroups
        - childGroups
        - decisions
        - delegations
    GroupAddressDto:
      type: object
      properties:
        id:
          type: string
          example: f2dfca59-4d8d-4636-a73b-41e97b3ba548
          description: Address ID
        groupId:
          type: string
          example: 1cbaa43f-c81c-45e9-a0c4-31b632d0502b
          description: Group ID
        street1:
          type: string
          example: 123 Main Street
          description: Street Address Line 1
        street2:
          type: string
          example: Suite 100
          description: Street Address Line 2
        city:
          type: string
          example: New York
          description: City
        state:
          type: string
          example: New York
          description: State
        stateCode:
          type: string
          example: NY
          description: State Code
        zipCode:
          type: string
          example: '10001'
          description: ZIP Code
        country:
          type: string
          example: United States
          description: Country
        countryCode:
          type: string
          example: US
          description: Country Code
        createdOn:
          format: date-time
          type: string
          example: '2023-01-01T12:00:00Z'
          description: Created On
        updatedOn:
          format: date-time
          type: string
          example: '2023-01-15T12:00:00Z'
          description: Updated On
      required:
        - id
        - groupId
        - street1
        - city
        - state
        - zipCode
        - country
        - createdOn
        - updatedOn
    ParentGroupItemDto:
      type: object
      properties:
        id:
          type: string
          example: 0b683031-d306-4569-9286-67cf96c00f69
          description: ID
        groupName:
          type: string
          example: Engineering Team
          description: Group Name
        displayName:
          type: string
          example: Engineering Department
          description: Display Name
        tenantGroupTypeId:
          type: string
          example: e276936a-6310-4822-bfca-7241395d43fe
          description: Group Type ID
    ChildGroupItemDto:
      type: object
      properties:
        id:
          type: string
          example: ebb47eef-dc8d-4fe3-af2d-a1a9677d28eb
          description: ID
        groupName:
          type: string
          example: Engineering Team
          description: Group Name
        displayName:
          type: string
          example: Engineering Department
          description: Display Name
        tenantGroupTypeId:
          type: string
          example: ae0b0089-712d-4c50-906c-c6f59ed72e50
          description: Group Type ID
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````